Subject: Re: bug#6501: 24.0.50; Unify finder keyword usage -- emulation/emulations

From: Štěpán Němec <[email-masked]>
Date: Fri, 25 Jun 2010 13:59:09 +0200

Juri Linkov <[email-masked]> writes:

>> There is currently both "emulation" and "emulations" occuring as finder
>> keywords. Wouldn't it be better if only one of them were used?
>> "Emulation" seems better to me, but "emulations" is used in majority of
>> cases.
>
> "emulations" is a standard keyword defined in finder-known-keywords
> in finder.el as "emulations of other editors" (though the subdirectory's
> name is "emulation").  So we could change the keyword "emulation"
> to "emulations" in 3 packages:
>
> * hl-line.el::     highlight the current line.
> * cua-base.el::    emulate CUA key bindings.
> * pc-select.el::   emulate mark, cut, copy and paste from Motif.

Yes. Or we could change the existing "emulations" to "emulation"...
That's why I didn't come up with a patch -- I would prefer "emulation",
but have no idea what success I'm going to have with such a proposal.
I can certainly live with "emulations" as well; let's just unify it.